SQ(1)

NAME
sq toolbox packet dump - List packets

SYNOPSIS
sq toolbox packet dump [OPTIONS] FILE

DESCRIPTION
List packets.

Creates a human-readable description of the packet sequence. Additionally, it can print cryptographic artifacts, and print the raw octet stream similar to hexdump(1), annotating specifically which bytes are parsed into OpenPGP values.

To inspect encrypted messages, either supply the session key, or see `sq decrypt` with the `--dump` flag, or `sq toolbox packet decrypt`.

OPTIONS

  Subcommand options

--hex
    Print a hexdump

--mpis
    Print cryptographic artifacts

--output=FILE
    Write to FILE or stdout if omitted

    [default: -]

--recipient-file=KEY_FILE
    Decrypt the message using the key in KEY_FILE

--session-key=SESSION-KEY
    Decrypt an encrypted message using SESSION-KEY

FILE
    Read from FILE or stdin if FILE is '-'

    [default: -]

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Prints the packets of a certificate

    sq toolbox packet dump juliet.pgp

Prints cryptographic artifacts of a certificate

    sq toolbox packet dump --mpis juliet.pgp

Prints a hexdump of a certificate

    sq toolbox packet dump --hex juliet.pgp

Prints the packets of an encrypted message

    sq toolbox packet dump --session-key AABBCC... ciphertext.pgp

SEE ALSO
sq(1), sq-toolbox(1), sq-toolbox-packet(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.38.0 (sequoia-openpgp 1.21.2)